Loading...
Searching...
No Matches
pcl::SupervoxelClustering< PointT >::SupervoxelHelper::compareLeaves Struct Reference

Comparator for LeafContainerT pointers - used for sorting set of leaves. More...

`#include <pcl/segmentation/supervoxel_clustering.h>`

## Public Member Functions

bool | operator() (LeafContainerT *const &left, LeafContainerT *const &right) const

## Detailed Description

template<typename PointT>
struct pcl::SupervoxelClustering< PointT >::SupervoxelHelper::compareLeaves

Comparator for LeafContainerT pointers - used for sorting set of leaves.

Note
  Compares by index in the overall leaf_vector. Order isn't important, so long as it is fixed.

Definition at line 420 of file supervoxel_clustering.h.

## Member Function Documentation

## operator()()

template<typename PointT >

bool pcl::SupervoxelClustering< PointT >::SupervoxelHelper::compareLeaves::operator() | ( | LeafContainerT *const & | left,
|  | LeafContainerT *const & | right
| ) |  | const

inline

Definition at line 422 of file supervoxel_clustering.h.

References pcl::octree::OctreePointCloudAdjacencyContainer< PointInT, DataT >::getData(), and pcl::SupervoxelClustering< PointT >::VoxelData::idx_.

The documentation for this struct was generated from the following file:

- pcl/segmentation/supervoxel_clustering.h